robot:
  bender:
    type: "rdp"
    version: 2
    server:
      host: "1.1.1.1"
      username: "user"
      password: "pass"
      domain: "domain"
    shared_folder:
      path: __auto_folder
      alias: "shared"

email:
  client:
    smtp:
      auth: "basic_auth"
      server: "smtp-mail.outlook.com"
      username: username
      password: password
    imap:
      auth: "outlook_oauth2_confidential"
      username: user@company.com
      client_id: "33be23db-1234-5678-90asdf"
      authority_url: https://login.microsoftonline.com/directory-id
      secret: 1234-asdf-5678-zxcv-9012

report_builder:
  title: "Invoice processing Workflow"
  metrics_to_display:
    - api_reader_pages
    - email_extracted
    - actions_used

recipients:
  - user@company.com
  - user2@company.com
